#
# Makefile.com for Worldwide File System.
#
# Author:	Youki Kadobayashi, Osaka University, Japan
#		E-mail: <youki@wide.ad.jp>
#
# 
# WorldWide File System
# Copyright (c) 1992,1993 Youki Kadobayashi
# Copyright (c) 1992,1993 Osaka University
# All rights reserved.
#
# Permission to use, copy, modify and distribute this software and its
# documentation is hereby granted, provided that the following conditions
# are met:
# 1. Both the copyright notice and this permission notice appear in
#    all copies of the software, derivative works or modified versions,
#    and any portions thereof, and that both notices appear in
#    supporting documentation.
# 2. All advertising materials mentioning features or use of this software
#    must display the following acknowledgement:
#      This product includes software developed by the Osaka University
#      and its contributors.
# 3. Neither the name of the University nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE DEVELOPER ``AS IS'' AND OSAKA
# UNIVERSITY DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
# WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
#
# Osaka University requests users of this software to return to
#
#  Youki Kadobayashi
#  Department of Information and Computer Sciences
#  Osaka University, Toyonaka 560, Osaka, Japan
#
# any improvements or extensions that they make and grant Osaka
# University the rights to redistribute these changes.

# $Header: Makefile.com[109.2] Thu Dec 16 20:38:07 1993 youki-k@is.aist-nara.ac.jp saved $
#

#
# -------- Users may care to override these values --------
#
# Any of these values can be overridden by redefining them
# in a file called config/Makefile.local or config/Makefile.local.foo
# (where "foo" is the OS name)
#

# Full pathname of where to install wwmount, wwumount
ETCDIR = /usr/local/etc

# Full pathname of where to install libraries (e.g., libww.a)
LIBDIR= /usr/local/lib

# Full pathname of where to install header files (e.g., libww.h)
INCDIR= /usr/local/include

# Installed files are owned by this group.
GROUP = daemon

# How to install binaries
INSTBIN = install -o wwfs -g $(GROUP) -c -m 755
# How to install header files, documents, libraries etc.
INSTALL = install -o wwfs -g $(GROUP) -c -m 644

# Your favorite C compiler
CC = cc

# Use -O for production use; use -g otherwise.
CCOPTS = -O

# This space for rent :-)
DEBUG =

# Define RPCINC if you have RPC header files in non-standard places
RPCINC =

# Define RPCGEN as the name of your "rpcgen" program
RPCGEN = rpcgen

# Your friendly printer
PRINTER=ls4pa

# For old makes
SHELL = /bin/sh

# -------- YOU SHOULD NOT NEED TO CHANGE ANYTHING BELOW THIS LINE --------

OS_HDR = os-$(OS).h
OSDEF = -DOS_HDR=\"$(OS_HDR)\"
CFLAGS = $(CCOPTS) $(DEBUG) $(OSDEF) $(RPCINC) -I../rpc -I../config -I../include -I.

STAGE=		beta
GEN=		109
REV=		4
VERSION=	$(STAGE)-$(GEN).$(REV)

baseline::
	-save -f -lock -q -m "$(STAGE)$(GEN) baseline" \
	-setvnum $(GEN).$(REV) `/bin/csh -c "echo *.[chlyx] *.{sh,pl,el,tcl,conf,vol,txt,tex,ps,eps} Makefile* README*; cat AtFS-files"`

copyright::
	-vattr copyright="^$(TOP)/$(STAGE)/Copyright" `vl -lastsaved`
	-vattr copyright_el="^$(TOP)/$(STAGE)/Copyright.el" `vl -lastsaved`
	-vattr copyright_mk="^$(TOP)/$(STAGE)/Copyright.mk" `vl -lastsaved`

version::
	-save -lock -q `/bin/csh -c "echo *.[chlyx] *.{sh,pl,el,tcl,conf,vol,txt,tex,ps,eps} Makefile* README*; cat AtFS-files"`

print::
	vgrind -t $(FILE) | lpr -P$(PRINTER)

clean::
	-rm -f *~ *.o

